Debian Bug report logs - #624227
packages.qa.debian.org: Links to obsolete and non-existent version on mentors.debian.net

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: skirpichev@gmail.com

Date: Tue, 26 Apr 2011 17:52:21 UTC

Severity: normal

Merged with 626811

Done: Bart Martens <bartm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#624227; Package qa.debian.org. (Tue, 26 Apr 2011 17:52:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micha Lenk <micha@debian.org>:
New Bug report received and forwarded. Copy sent to debian-qa@lists.debian.org. (Tue, 26 Apr 2011 17:52:24 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Micha Lenk <micha@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: packages.qa.debian.org: Links to obsolete and non-existent version on mentors.debian.net
Date: Tue, 26 Apr 2011 19:40:30 +0200
Package: qa.debian.org
Severity: important

Hi,

the [1]PTS page for Gnucash links to an obsolete and meanwhile non-existent
version 2.2.9-0.2-dbg-1 of the package on mentors.debian.net. The version on
mentors.debian.net is lower than version 1:2.4.0-1, which is available in
unstable since 7th of February 2011. This means the link is obsolete due to
newer versions in unstable since more than two months now.

 1. http://packages.qa.debian.org/g/gnucash.html

Additionally the mentioned package on mentors.debian.net doesn't even exist for
more than two months. This means the link is also obsolete due to the removal
of the package from mentors.debian.net more than two months ago.

I hope this description helps to find a bug in the automatic update code for
the otherwise very helpful PTS pages.

Regards,
Micha




Severity set to 'normal' from 'important' Request was from "Matteo F. Vescovi" <m.vescovi@revese.it> to control@bugs.debian.org. (Thu, 23 Jun 2011 20:03:06 GMT) Full text and rfc822 format available.

Forcibly Merged 624227 626811. Request was from Giovanni Mascellani <gio@debian.org> to control@bugs.debian.org. (Mon, 22 Aug 2011 21:25:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#624227; Package qa.debian.org. (Fri, 26 Aug 2011 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <mascellani@poisson.phc.unipi.it>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Fri, 26 Aug 2011 15:42:03 GMT) Full text and rfc822 format available.

Message #14 received at 624227@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
To: 624227@bugs.debian.org
Subject: Another package with wrong PTS -> mentors link
Date: Fri, 26 Aug 2011 17:39:51 +0200
[Message part 1 (text/plain, inline)]
Another example is:
http://packages.qa.debian.org/d/denyhosts.html
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#624227; Package qa.debian.org. (Wed, 21 Dec 2011 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey B Kirpichev <skirpichev@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 21 Dec 2011 16:36:03 GMT) Full text and rfc822 format available.

Message #19 received at 624227@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: 624227@bugs.debian.org
Subject: Re: packages.qa.debian.org: Links to obsolete and non-existent version on mentors.debian.net
Date: Wed, 21 Dec 2011 20:34:44 +0400
Another example is:
http://packages.qa.debian.org/p/parser.html






Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#624227; Package qa.debian.org. (Wed, 21 Dec 2011 16:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 21 Dec 2011 16:51:06 GMT) Full text and rfc822 format available.

Message #24 received at 624227@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: Sergey B Kirpichev <skirpichev@gmail.com>, 624227@bugs.debian.org
Subject: Re: Bug#624227: packages.qa.debian.org: Links to obsolete and non-existent version on mentors.debian.net
Date: Wed, 21 Dec 2011 17:45:59 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

On 21.12.2011 17:34, Sergey B Kirpichev wrote:
> Another example is:
> http://packages.qa.debian.org/p/parser.html

that's merely a bug on our side (i.e. mentors.debian.net) rather than
the PTS. We aren't removing packages which have been uploaded to Debian
anymore for the time being, so QA folks just can't know based on the
information we're providing that the version was uploaded to Debian.

However that functionality already exists in the mentors code base and
is scheduled to be activated with the next software upgrade (whenever it
might come), so it is probably not worth to work around our laziness at
the PTS side anyway.

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJO8g1HAAoJEMcrUe6dgPNtqwoP/0kx9ootqh8oCqbZ9784y/Kc
YVslHjQtGI6RVxmo4qBf9Gg2gCGGAq4aYTKPxctAVhcsx9TzIrjNQ7S0GUdSnDKm
N/PywYfW8fwDomQJFkTT9dupefI0CgLr3rRPeb4SI3kEOLfMrlInJnuP7mPZ8K6T
hu57Q3mQBRu9cDbzAVI+RJlZczuvPNj1mLxqrLCMWGT6Scb+MCiABLWi/CntiRO+
9Mto4zYxQoCyodlt5K/XDd0Cuwgq+9R/j7B8EFtHgPG2gOpm+s3rU1dxNAM1hjKl
9AJK6M2RytXtA53DLWUzdibjo+VbN1pzmTUwatF8XNW2XaCFJwzvf8nfAeO3LyDA
XWeVgrmZpa0S6eBNY+krh8djSvBawWQ/MlsX8O2I5fsze37z59nJGxD2DBs27NzX
3UrterFFJnqSY1wGJmr5siW3WtYjBTvcfBIlAjudl420LcgH79+YIRUX8jpJfcUd
aUeRSfnR2uVTU4OY8u69M1psH/x2DLzNMCeOQ1B/uEp3ecj8wlBP89rdPP2BPH3/
iuUlOzmU1wvp1GJTGzvq97ghyMiCytg6Bg1e1Die6tolyYMTbg58jn4hyY+gC7vj
URmrJAYsDOAP3DfM0f5X0lJEYK7M5/+pY9xlua/m27XNpkLv+rRs5sTq6ec4SWGZ
6QdI3ZcSJ1jokqgLC8hr
=bL9U
-----END PGP SIGNATURE-----




Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Sun, 08 Jul 2012 11:06:38 GMT) Full text and rfc822 format available.

Notification sent to Micha Lenk <micha@debian.org>:
Bug acknowledged by developer. (Sun, 08 Jul 2012 11:06:45 GMT) Full text and rfc822 format available.

Message #29 received at 624227-done@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 624227-done@bugs.debian.org
Subject: packages.qa.debian.org: Links to obsolete and non-existent version on mentors.debian.net
Date: Sun, 8 Jul 2012 11:02:37 +0000
Fixed with this:
http://anonscm.debian.org/viewvc/qa/trunk/pts/www/bin/filter_mentors.pl?view=markup

If the problem is not entirely solved, then please let me know.

Regards,

Bart Martens




Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Sun, 08 Jul 2012 11:06:50 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Sun, 08 Jul 2012 11:06:53 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#624227; Package qa.debian.org. (Wed, 11 Jul 2012 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to skirpichev@gmail.com:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 11 Jul 2012 08:03:04 GMT) Full text and rfc822 format available.

Message #39 received at 624227@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: 624227@bugs.debian.org
Subject: Re: packages.qa.debian.org: Links to obsolete and non-existent version
Date: Wed, 11 Jul 2012 11:59:51 +0400
> Fixed with this:
> http://anonscm.debian.org/viewvc/qa/trunk/pts/www/bin/filter_mentors.pl?view=markup
>
> If the problem is not entirely solved, then please let me know.

Hmm,
$ date -R
Wed, 11 Jul 2012 11:57:23 +0400

from http://packages.qa.debian.org/p/parser.html:
-->8--
todo
...
mentors.debian.net has version 3.4.1-1 of this package, you should consider sponsoring its upload.
...
Last modified: Tue Jul 10 08:34:13 UTC 2012.
-->8--




Bug reopened Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Wed, 11 Jul 2012 08:09:10 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'skirpichev@gmail.com' from 'Micha Lenk <micha@debian.org>' Request was from Sergey B Kirpichev <skirpichev@gmail.com> to control@bugs.debian.org. (Wed, 11 Jul 2012 08:09:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#624227; Package qa.debian.org. (Wed, 11 Jul 2012 09:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 11 Jul 2012 09:48:12 GMT) Full text and rfc822 format available.

Message #48 received at 624227@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 624227@bugs.debian.org
Subject: pts: Links to obsolete and non-existent version on mentors.debian.net
Date: Wed, 11 Jul 2012 09:45:29 +0000
Thanks for reopening this bug.  Obviously I should have verified all examples
already mentioned on the bug.

I found these files for packages currently not at mentors :

-rw-rw-r-- 1 qa qa 1621 Nov 10  2011 /srv/packages.qa.debian.org/www/base/j/jailkit/mentors.xml
-rw-rw-r-- 1 qa qa 2213 Nov 20  2011 /srv/packages.qa.debian.org/www/base/p/parser/mentors.xml
-rw-rw-r-- 1 qa qa 2143 Nov 16  2011 /srv/packages.qa.debian.org/www/base/p/pylibtiff/mentors.xml
-rw-rw-r-- 1 qa qa 1819 Nov  6  2011 /srv/packages.qa.debian.org/www/base/y/yast2-devtools/mentors.xml

All four files are from November 2011.

Maybe sources_to_xml.py can be improved on cleaning old mentors.xml files.
http://anonscm.debian.org/viewvc/qa/trunk/pts/www/bin/sources_to_xml.py?view=markup

I'll remove these four files now, so the information on the four pts pages
should become OK soon.

I'll monitor the files /srv/packages.qa.debian.org/www/base/*/*/mentors.xml for
packages not at mentors for some time to come.

Regards,

Bart Martens




Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Sun, 12 Aug 2012 17:51:05 GMT) Full text and rfc822 format available.

Notification sent to skirpichev@gmail.com:
Bug acknowledged by developer. (Sun, 12 Aug 2012 17:51:05 GMT) Full text and rfc822 format available.

Message #53 received at 624227-done@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 624227-done@bugs.debian.org
Subject: packages.qa.debian.org: Links to obsolete and non-existent version on mentors.debian.net
Date: Sun, 12 Aug 2012 17:47:53 +0000
I have monitored this for a month, and I see that all mentors.xml files are
removed automatically after the package at mentors is removed.  I guess that
the four old mentors.xml files were just a leftover from something that
happened in November 2011.



Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Sun, 12 Aug 2012 17:51:06 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Sun, 12 Aug 2012 17:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#624227; Package qa.debian.org. (Sun, 12 Aug 2012 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sun, 12 Aug 2012 18:00:03 GMT) Full text and rfc822 format available.

Message #62 received at 624227@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Bart Martens <bartm@debian.org>
Cc: 624227@bugs.debian.org
Subject: Re: packages.qa.debian.org: Links to obsolete and non-existent version on mentors.debian.net
Date: Sun, 12 Aug 2012 18:56:38 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2012-08-12 at 17:47 +0000, Bart Martens wrote:
> I have monitored this for a month, and I see that all mentors.xml files are
> removed automatically after the package at mentors is removed.  I guess that
> the four old mentors.xml files were just a leftover from something that
> happened in November 2011.

That's not quite my point.  I think there should also be a version
comparison, so that if either the unstable or experimental version is
newer than or the same as the mentors.d.n version then the mentors.d.n
version is not shown.  (But I'm not sure whether this is always right,
e.g. might be a stable update be prepared on mentors.d.n?)

Ben.

-- 
Ben Hutchings
Sturgeon's Law: Ninety percent of everything is crap.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#624227; Package qa.debian.org. (Sun, 12 Aug 2012 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sun, 12 Aug 2012 18:12:03 GMT) Full text and rfc822 format available.

Message #67 received at 624227@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 624227@bugs.debian.org
Subject: Re: packages.qa.debian.org: Links to obsolete and non-existent version on mentors.debian.net
Date: Sun, 12 Aug 2012 18:09:36 +0000
On Sun, Aug 12, 2012 at 06:56:38PM +0100, Ben Hutchings wrote:
> On Sun, 2012-08-12 at 17:47 +0000, Bart Martens wrote:
> > I have monitored this for a month, and I see that all mentors.xml files are
> > removed automatically after the package at mentors is removed.  I guess that
> > the four old mentors.xml files were just a leftover from something that
> > happened in November 2011.
> 
> That's not quite my point.  I think there should also be a version
> comparison, so that if either the unstable or experimental version is
> newer than or the same as the mentors.d.n version then the mentors.d.n
> version is not shown.  (But I'm not sure whether this is always right,
> e.g. might be a stable update be prepared on mentors.d.n?)

Have you read all messages on both merged bug reports ? Can you still find
examples of PTS pages that link to obsolete or non-existent versions on
mentors.debian.net ?

Regards,

Bart Martens



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#624227; Package qa.debian.org. (Sun, 12 Aug 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sun, 12 Aug 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #72 received at 624227@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Bart Martens <bartm@debian.org>
Cc: 624227@bugs.debian.org
Subject: Re: packages.qa.debian.org: Links to obsolete and non-existent version on mentors.debian.net
Date: Sun, 12 Aug 2012 20:52:40 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2012-08-12 at 18:09 +0000, Bart Martens wrote:
> On Sun, Aug 12, 2012 at 06:56:38PM +0100, Ben Hutchings wrote:
> > On Sun, 2012-08-12 at 17:47 +0000, Bart Martens wrote:
> > > I have monitored this for a month, and I see that all mentors.xml files are
> > > removed automatically after the package at mentors is removed.  I guess that
> > > the four old mentors.xml files were just a leftover from something that
> > > happened in November 2011.
> > 
> > That's not quite my point.  I think there should also be a version
> > comparison, so that if either the unstable or experimental version is
> > newer than or the same as the mentors.d.n version then the mentors.d.n
> > version is not shown.  (But I'm not sure whether this is always right,
> > e.g. might be a stable update be prepared on mentors.d.n?)
> 
> Have you read all messages on both merged bug reports ?

I have now.

> Can you still find
> examples of PTS pages that link to obsolete or non-existent versions on
> mentors.debian.net ?

No, but that's not really the point.  You say that "all mentors.xml
files are removed automatically after the package at mentors is
removed".  If packages at mentors are also automatically removed when
the same or later version is uploaded, then this bug is fixed.  But I
don't see that that has been explicitly stated.

Ben.

-- 
Ben Hutchings
Sturgeon's Law: Ninety percent of everything is crap.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Sep 2012 07:25:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:45:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.